- args:
    permission:
      allow_upsert: true
      check:
        invoice:
          job:
            bodyshop:
              associations:
                _and:
                - user:
                    authid:
                      _eq: X-Hasura-User-Id
                - active:
                    _eq: true
      columns:
      - id
      - created_at
      - updated_at
      - invoiceid
      - line_desc
      - actual_price
      - actual_cost
      - cost_center
      - estlindid
      localPresets:
      - key: ""
        value: ""
      set: {}
    role: user
    table:
      name: invoicelines
      schema: public
  type: create_insert_permission
